summaryrefslogtreecommitdiffstats
path: root/gis/routino/routino.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'gis/routino/routino.SlackBuild')
-rw-r--r--gis/routino/routino.SlackBuild20
1 files changed, 13 insertions, 7 deletions
diff --git a/gis/routino/routino.SlackBuild b/gis/routino/routino.SlackBuild
index ab957e3dc8..50519ef0fc 100644
--- a/gis/routino/routino.SlackBuild
+++ b/gis/routino/routino.SlackBuild
@@ -2,7 +2,9 @@
# Slackware build script for routino
-# Copyright 2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# Copyright 2016 Willy Sudiarto Raharjo <willysr at slackbuilds dot org>
+# Copyright 2017 Philip Lacroix <slackph at posteo dot de>
+#
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,7 +31,7 @@ TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -55,6 +57,7 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tgz
+
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -69,12 +72,15 @@ sed -i "s|/lib|/lib${LIBDIRSUFFIX}|g" Makefile.conf
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+PRGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -ar ChangeLog doc/ *.txt $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# Install documentation.
+mkdir -p $PRGDOC
+cp -ar ChangeLog doc/{*.txt,html} $PRGDOC/
+cat $CWD/$PRGNAM.SlackBuild > $PRGDOC/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc